## udfclient 0.8.8

=== Makefile ===
#
# UDFclient toolkit
#
# Copyright 2003,2004,2005 Reinoud P.Zandijk
#
#
# File $Id: Makefile.in,v 1.24 2017/01/10 09:52:30 reinoud Exp $ $Name:  $
#

srcdir=		.

prefix=		/usr/local
exec_prefix=	${prefix}
sbindir=	${exec_prefix}/sbin
mandir=		${datarootdir}/man
bindir=		${exec_prefix}/bin
datarootdir=	${prefix}/share

CC=		clang
LD=		$(CC)
CPPFLAGS=	     -DNO_DIRENT_NAMLEN -DSCSI -DUSCSI_SCSIPI -DPACKAGE_NAME=\"udfclient\" -DPACKAGE_TARNAME=\"udfclient\" -DPACKAGE_VERSION=\"0.8.8\" -DPACKAGE_STRING=\"udfclient\ 0.8.8\" -DPACKAGE_BUGREPORT=\"reinoud@NetBSD.org\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_ENDIAN_H=1 -DHAVE_MACHINE_ENDIAN_H=1 -DHAVE_MACHINE_BSWAP_H=1 -DHAVE_SYS_BSWAP_H=1 -DHAVE_MACHINE_INT_FMTIO_H=1 -DHAVE_STRUCT_STAT_ST_ATIMESPEC=1 -DHAVE_STRUCT_STAT_ST_BIRTHTIMESPEC=1 -DHAVE_DEV_SCSIPI_SCSIPI_ALL_H=1 -I$(srcdir)
CFLAGS=		-g -O2
LDFLAGS=	

INSTALL=	/usr/bin/install -c

# NetBSD
#CFLAGS+= -Wall \
#	 -Wuninitialized \
#	 -fno-strict-aliasing \
#	 -Wextra -Werror
#	 -Werror ${COPTS} \
#	 -DNDEBUG

# Anonymising this client (for comformity)
#CFLAGS+= -D__ANONYMOUSUDF__

#CFLAGS+= -fPIC -DPIC
POSTOBJ+=  -lpthread -lc


# For use with the cpuflags package
#CPROCFLAGS != cpuflags
CFLAGS+= ${CPROCFLAGS}


# Main programs
APPS=		udfdump udfclient newfs_udf cd_sessions 
SCSI_APPS=	cd_disect mmc_format
LIB=		osta.o udf.o udf_bmap.o udf_allocentries.o udf_discop.o uio.o
LIB+=		udf_verbose.o udf_readwrite.o udf_unix.o vfs_dirhash.o
USCSILIB=	uscsi_sense.o uscsi_subr.o

CFLAGS+= -DNEEDS_ISPRINT $(CPPFLAGS)

all: $(APPS) $(SCSI_APPS)

install: $(APPS) $(SCSI_APPS)
	$(INSTALL) -d $(DESTDIR)/$(bindir)
	for app in $(APPS) $(SCSI_APPS); do \
		echo "$(INSTALL) $$app $(DESTDIR)/$(bindir)/$$app"; \
		$(INSTALL) $$app $(DESTDIR)/$(bindir)/$$app; \
	done

depend:
	mkdep $(CFLAGS) *.c

clean:
	rm -f *.o *.a *.core core.* core .depend *~ *.bak $(APPS) $(SCSI_APPS)
	rm -fr autom*.cache config.log config.status configure.lineno

cleandir: clean
	rm -f Makefile

libuscsi.a: $(USCSILIB)
	ar -rsc libuscsi.a $(USCSILIB)

libudf.a: $(LIB)
	ar -rsc libudf.a $(LIB)

$(SCSI_APPS): $(.TARGET).o libuscsi.a
	$(LD) -o $(.TARGET) $(LDFLAGS) $(.TARGET).o libuscsi.a $(POSTOBJ)

$(APPS): $(.TARGET).o libuscsi.a libudf.a
	$(LD) -o $(.TARGET) $(LDFLAGS) $(.TARGET).o libudf.a libuscsi.a $(POSTOBJ)


# DO NOT DELETE

## udfclient 0.8.1

=== debian/changelog ===
udfclient (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #791421)

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 07 Mar 2016 17:27:15 +0100

=== debian/control ===
Source: udfclient
Section: otherosfs
Priority: extra
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 9), autotools-dev, bmake (>= 20160220)
Standards-Version: 3.9.7
Homepage: http://www.13thmonkey.org/udfclient/

Package: udfclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userland implementation of the UDF filesystem
 UDFclient is a userland implementation of the UDF filesystem as defined by the
 OSTA group. UDFclient is designed to be a study platform and a run-up to a full
 read and write kernel level implementation.
 .
 Except udfclient it contains additional utilities:
 cd_disect - Display report of disc
 cd_sessions - Show sessions on disc
 mmc_format - Format optical disc
 newfs_udf - Create UDF filesystem on file or a formatted disc
 udfclient - FTP-like client for UDF filesystem
 udfdump - Dump information from UDF filesystem

## udfclient 0.8.5

=== debian/changelog ===
udfclient (0.8.5-1) unstable; urgency=medium

  * New upstream release
  * Remove upstream patch Makefile.patch
  * Fix formatting of package description

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 26 Apr 2016 22:15:12 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,10 @@
  read and write kernel level implementation.
  .
  Except udfclient it contains additional utilities:
- cd_disect - Display report of disc
- cd_sessions - Show sessions on disc
- mmc_format - Format optical disc
- newfs_udf - Create UDF filesystem on file or a formatted disc
- udfclient - FTP-like client for UDF filesystem
- udfdump - Dump information from UDF filesystem
+ .
+  cd_disect - Display report of disc
+  cd_sessions - Show sessions on disc
+  mmc_format - Format optical disc
+  newfs_udf - Create UDF filesystem on file or a formatted disc
+  udfclient - FTP-like client for UDF filesystem
+  udfdump - Dump information from UDF filesystem

## udfclient 0.8.6

=== debian/changelog ===
udfclient (0.8.6-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version.
  * Change priority to optional.

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 28 Jul 2016 20:47:10 +0200

## udfclient 0.8.7

=== debian/changelog ===
udfclient (0.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 24 Jan 2017 23:43:34 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=bmake

=== debian/watch ===
version=3
http://www.13thmonkey.org/udfclient/releases/UDFclient\.([^r].*)\.tgz

## udfclient 0.8.8

=== debian/changelog ===
udfclient (0.8.8-1) unstable; urgency=low

  * New upstream release.
    - CVE-2017-8305: Fix buffer overflow in strlcpy implementation
      (Closes: #861347)
  * Enable hardening.
  * Install new man pages.
  * Update debian/watch.

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 27 Apr 2017 22:10:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: udfclient
 Section: otherosfs
-Priority: extra
+Priority: optional
 Maintainer: Pali Rohár <pali.rohar@gmail.com>
 Build-Depends: debhelper (>= 9), autotools-dev, bmake (>= 20160220)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.13thmonkey.org/udfclient/
 
 Package: udfclient

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=bmake

## udfclient 0.8.9

=== debian/changelog ===
udfclient (0.8.9-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.2.1
  * Update to debhelper 11
  * Use https:// for copyright format URI

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 02 Sep 2018 13:16:02 +0200

## udfclient 0.8.11

=== debian/changelog ===
udfclient (0.8.11-2) unstable; urgency=medium

  * Call autoconf in debian/rules to fix compile issues (Closes: #982717)
    (Patch by Dennis Filder)

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 22 Feb 2021 11:12:33 +0100

udfclient (0.8.11-1) unstable; urgency=medium

  * New upstream release
    - Minor release fixing compilation errors on gcc 10 (Closes: #957893)
    - Also corrected some minor spelling mistakes

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 23 Jul 2020 20:59:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Pali Rohár <pali.rohar@gmail.com>
-Build-Depends: debhelper (>= 9), autotools-dev, bmake (>= 20160220)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), bmake (>= 20160220)
+Standards-Version: 4.2.1
 Homepage: http://www.13thmonkey.org/udfclient/
 
 Package: udfclient

=== debian/watch ===
version=3
http://www.13thmonkey.org/udfclient/releases/UDFclient\.([^r].*)\.tgz debian uupdate

## udfclient 0.8.21

=== debian/changelog ===
udfclient (0.8.21-1) unstable; urgency=medium

  * New upstream release (Closes: #1085105, #1052014).
  * Orphan the package.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Add Vcs-Git.
  * Bump Standards-Version to 4.6.2.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 19 Jul 2025 13:08:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: udfclient
 Section: otherosfs
 Priority: optional
-Maintainer: Pali Rohár <pali.rohar@gmail.com>
-Build-Depends: debhelper (>= 11~), bmake (>= 20160220)
-Standards-Version: 4.2.1
-Homepage: http://www.13thmonkey.org/udfclient/
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), bmake (>= 20160220)
+Standards-Version: 4.6.2
+Homepage: https://www.13thmonkey.org/udfclient/
+Vcs-Git: https://salsa.debian.org/debian/udfclient.git
+Vcs-Browser: https://salsa.debian.org/debian/udfclient
 
 Package: udfclient
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,9 @@
 
 %:
 	dh $@ --buildsystem=bmake
+
+# with commit 805a65ba bmake.pm no longer inherits from
+# Debian::Debhelper::Buildsystem::autoconf,
+# so we have to pretend to use autoconf in an override
+override_dh_auto_configure:
+	dh_auto_configure -O--buildsystem=autoconf

=== debian/watch ===
version=3
https://www.13thmonkey.org/udfclient/releases/UDFclient\.([^r].*)\.tgz debian uupdate
